---
sidebar_position: 2
title: Catalog page
imgage: '../img/nav_catalog.png'
---
import ThemedImage from '@theme/ThemedImage';
import useBaseUrl from '@docusaurus/useBaseUrl';

## Interface

<ThemedImage
  alt="Catalog page"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/page.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/page.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/>


### Top bar


<ThemedImage
  alt="top bar"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/top_bar.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/top_bar.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle', marginBottom: '10px'}}
  width={"400px"}
/>




:::info
Tabs are only visible when you have defined custom layers.
By default, only the official catalog is displayed
:::

#### Elements

<ThemedImage
  alt="Filter"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/filter.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/filter.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"64px"}
/> You can restrict the types of diapers displayed using several filters

<ThemedImage
  alt="Catalog filter"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/catalog_filter.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/catalog_filter.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/> 
You can select or unselect any value of you want

:::note
Purple items is selected
:::


<ThemedImage
  alt="Search"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/search.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/search.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"64px"}
/> Search diaper with their name or their brand name

### Floating Action Button

<ThemedImage
  alt="Create custom"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/create-custom.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/create-custom.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"64px"}
/> 

The bottom right button permit you to create some custom types

### Catalog

<ThemedImage
  alt="Catalog page"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/page.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/page.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/>

On the right, you'll find a brand selector for quick navigation through the catalog.

You can click each diaper to display the diaper page

If you had mark diaper as favorite, you retreive them on the top of the catalog


## Diaper Page

<ThemedImage
  alt="Catalog page"
  sources={{
    light: useBaseUrl('/img/pages/catalog/light/diaper_page.png'),
    dark: useBaseUrl('/img/pages/catalog/dark/diaper_page.png'),
  }}
  style={{display: "inline-block", verticalAlign: 'middle'}}
  width={"400px"}
/>

For each diaper, you can retrieve :
* The diaper name
* The diaper brand name
* the diaper image
* the brand logo
* The sizes buttons

You can click on each size button, to add diaper to your stock.

:::tip
If you don't find your size, you can use the ? button to add custom size
:::

The star button on the right top bar permit you to mark or unmark the diaper as your favorite diaper